Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78751 - Strange error message: read manifest failed: Success
Summary: Strange error message: read manifest failed: Success
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-28 23:10 UTC by Pierre Sarrazin
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-28 23:10:53 UTC


Attachments (Terms of Use)

Description Pierre Sarrazin 2002-11-28 23:10:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020827

Description of problem:
When attempting to install (with -U) certain files that are not
RPM files, the error message "read manifest failed: Success" is
displayed.


Version-Release number of selected component (if applicable):
4.0.4-7x

How reproducible:
Always

Steps to Reproduce:
1. echo '#' >foo.txt
2. rpm -U foo.txt


Actual Results:  foo.txt: read manifest failed: Success


Expected Results:  The word "Success" should not be there.
Perhaps the rpm command could better detect that the file
is not a valid binary RPM.

Comment 1 Jeff Johnson 2002-11-29 14:46:03 UTC
Fixed (by removing the misleading "Success")
in rpm-4.1.


Note You need to log in before you can comment on or make changes to this bug.